NO DAMAGE MOD For 1.37.x ETS2 ALEXD


NO DAMAGE MOD For 1.37.x ETS2 ALEXD

Description:
This mod requires ETS2 1.27.x – 1.37.x.
For truck, trailer and cargo

Credits:
ALEXD

File:
Download LINK 1   (54kb sharemods.com)
Download LINK 2   (54kb modsbase.com)
Powered by Blogger.